Unreal Engine 5.0 Deprecation

Snapdragon Spaces 0.21.0 will be the last version to support Unreal Engine 5.0.

In subsequent releases we will stop releasing a package for Unreal Engine 5.0.


To continue using and receiving the latest updates and features of Snapdragon Spaces, please move your existing Unreal Engine 5.0 projects to Unreal Engine 5.3. 

Unreal Engine 5.3 will continue to be supported and is not affected by this decision. 


We are providing download links for older versions of the Snapdragon Spaces SDK starting 0.17.0 at the Snapdragon Spaces Download Archive. After the upcoming deprecation, please go to the download archive to download the latest supported Snapdragon Spaces 0.21.0 package for Unreal Engine 5.0.

In the meantime, the package is available on the Developer Portal.

Login or Signup to post a comment